{% extends 'layout.html' %}

{% block content %}
    <div id="shorten_url" class="offset-lg-2 col-lg-8">
        <ul class="nav nav-pills nav-fill">
            <li class="nav-item">
                <a class="nav-link active" data-toggle="tab" href="#auto">Auto</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#specific">Be Specific</a>
            </li>
        </ul>
        <div class="tab-content">
            <!-- Auto -->
            <div class="tab-pane fade show active" id="auto">
                <div class="row">
                    <div class="col-lg-12">
                        <form>
                            <div class="form-row">
                                <div class="form-group col-md-2">
                                <select class="form-control protocol">
                                    <option value="http" selected>http://</option>
                                    <option value="https">https://</option>
                                </select>
                                </div>
                                <div class="form-group col-md-9">
                                    <input type="text" class="form-control origin" placeholder="origin url">
                                </div>
                                <div class="form-group col-md-1">
                                    <button class="btn btn-warning submit">
                                        submit
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="offset-lg-3 col-lg-6 copy">
                        <div class="input-group mb-3">
                            <input id="auto_shorten_url" type="text" class="form-control shorten" readonly>
                            <div class="input-group-append">
                                <button class="btn btn-danger" data-clipboard-target="#auto_shorten_url">copy</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Specific -->
            <div class="tab-pane fade" id="specific">
                <div class="row">
                    <div class="col-lg-12">
                        <form>
                            <div class="form-row">
                                <div class="form-group col-md-2">
                                <select class="form-control protocol">
                                    <option value="http" selected>http://</option>
                                    <option value="https">https://  </option>
                                </select>
                                </div>
                                <div class="form-group col-md-6">
                                    <input type="text" class="form-control origin" placeholder="origin url">
                                </div>
                                <div class="form-group col-md-3">
                                    <input type="text" class="form-control specific" maxLength="25" placeholder="specific url (Max: 25)">
                                </div>
                                <div class="form-group col-md-1">
                                    <button class="btn btn-warning submit">
                                        submit
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="offset-lg-3 col-lg-6 copy">
                        <div class="input-group mb-3">
                            <input id="specific_shorten_url" type="text" class="form-control shorten" readonly>
                            <div class="input-group-append">
                                <button class="btn btn-danger" data-clipboard-target="#specific_shorten_url">copy</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div style="margin: auto;">
            <a class="btn btn-secondary" href='/list'>Show All URLs</a>
        </div>
    </div>
{% endblock %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.4/toastr.min.css" />
{% endblock %}

{% block js %}
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.4/toastr.min.js"></script>
    <script type="text/javascript" src="{{ url_for('static', filename='js/index.js')}}"></script>
    <script type="text/javascript">
        $(document).ready(() => {
            Compressor.init();
        });
    </script>
{% endblock %}